import { jsx as e } from "@emotion/react/jsx-runtime";
import n from "../../hooks/useSideBar/index.js";
import { TEST_PROP_ID as m } from "../../../../test/constants_no_mock.js";
import { getNameDataTestId as i } from "../../tests/utils.js";
import { ContainerFooterStyled as f } from "../../slots/SideBarSlots.js";
function d({ anchored: r }) {
  const { footerComponent: o } = n(), t = {
    anchored: r
  };
  return o ? /* @__PURE__ */ e(
    f,
    {
      ownerState: t,
      role: "footer",
      ...process.env.NODE_ENV !== "production" ? { [m]: i("footer") } : {},
      children: o
    }
  ) : null;
}
export {
  d as default
};
